<?php

namespace common\logic\User\UserProducer\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\User\UserProducer\Model\UserProducer;
use common\logic\User\UserProducer\Service\UserProducerDefinition;
use yii\db\ActiveQuery;

class UserProducerRepositoryQuery extends AbstractRepositoryQuery
{
    protected UserProducerDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(UserProducerDefinition::class);
    }
}